<script src="javascripts/jquery.validate.js" type="text/javascript"></script>
<script>
    var t = jQuery.noConflict();

    t().ready(function () {
        cargarProvincias();
        cargarCantones();
             cargarProductos();
        

        
        // validate signup form on keyup and submit
        t("#formulario").validate({
            rules: {
                nombre: {
                    required: true,
                    minlength: 3
                },
                fecha: {
                    required: true,
                    date: true
                },
                marca: {required: true},
                pais: {required: true},
                cantidad: {
                    required: true,
                    digits: true
                },
                precio: {
                    required: true,
                    number: true
                }

            },
            messages: {
                nombre: {
                    required: "Ingrese el nombre del vino",
                    minlength: "Minimo 2 caracteres"
                }
            }
        });
    });

    function cargarProvincias() {
        var url = "http://localhost:3000/test/sw/provincias";
        t.ajax({
            url: url,
            type: 'GET',
            dataType: 'JSON',
            success: function (data, textStatus, jqXHR) {
                console.log(data);
                console.log(data.clasificacion);
                var html = "<option value=''>Seleccione una clasificación</option>";
                t.each(data.clasificacion, function (i, item) {
                    html += '<option value = "' + item + '">' + item + '</option>';
                });
                t("#clasificacion").html(html);
                t("#clasificacion_editar").html(html);

            },
            error: function (jqXHR, textStatus, errorThrown) {

            }
        });
    }
    function cargarCantones() {
        console.log(alert+"hola");
        t("#clasificacion").change(function () {
            t("#porsentajes").html("");
            var prov = t("#clasificacion").val();
            var url = "http://localhost:3000/test/sw/cantones";
            t.ajax({
                url: url,
                type: 'GET',
                data: 'porcentajes=' + prov,
                dataType: 'JSON',
                success: function (data, textStatus, jqXHR) {
                    console.log(data);
                    var html = "";
                    t.each(data, function (i, item) {
                        html += '<option value = "' + item + '">' + item + '</option>';
                    });
                    t("#porsentaje").html(html);
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    console.log(jqXHR.responseText);
                }
            });
        });
    }
    
    
    
    
    
    function cargarProductos() {
        var url = "http://localhost:3000/test/sw/listaProdTod3";
        t.ajax({
            url: url,
            type: 'GET',
            dataType: 'JSON',
            success: function (data, textStatus, jqXHR) {
                //console.log(data);
                console.log(data);
                var html = "";
                t.each(data, function (i, item) {
                    html += '<option value="'+item.id+'">'+item.nombre_cliente+'</option>';                    
                });
                t("#nombre_cliente").html(html);
            },
            error: function (jqXHR, textStatus, errorThrown) {
                console.log(jqXHR.responseText);
            }
        });
    }


 
 function asignarRetencion(){
  var por = document.getElementById("porsentaje").value;
  var valor = document.getElementById("valor_factura").value;
  reten = (por * valor)/100 ; 
  document.getElementById("valor_retencion").value = reten;
}





</script>



<header>
    <h2><%= titulo %></h2>
</header>
<div class="box"    style="position: absolute;
     left: 40%;
     margin-left: -20px;
     top: 50%;
     margin-top: -20px;" >
    <div class="row">
        <%- locals.flash %>
        <div class="card">
            <div class="card-header">

            </div>
            <div class="card-body">
                <form id="formulario" method="POST" action="/test/producto/guardar">
                    <div class="form-group">
                        <label for="nombre">Numero Retención</label>
                        <input type="text" class="form-control" id="numero_retencion" name="numero_retencion" aria-describedby="marcaHelp" placeholder="Ingrese el nombre">

                    </div>

                    <div class="form-group">
                        <label for="prod">Nombre Cliente</label>
                        <select name="nombre_cliente" id="nombre_cliente">                            
                        </select>
                        
                    </div>


                    <div class="form-group">
                        <label for="provincia">Clasificacion</label>
                        <select name="clasificacion" id="clasificacion">                            
                        </select>

                    </div>

                    <div class="form-group">
                        <label for="cantones">Porsentajes</label>
                        <select type="number" name="porsentaje" id="porsentaje" onChange="asignarRetencion();" >

                        </select>

                    </div>


                    <div class="form-group">
                        <label for="cant">Valor Factura</label>
                        <input type="number" class="form-control" id="valor_factura" name="valor_factura" aria-describedby="marcaHelp" placeholder="Ingrese el valor de la factura" onChange="asignarRetencion();">

                    </div>



                    <div class="form-group">
                        <label for="cant">Valor Retención</label>
                        <input  type="number" class="form-control" id="valor_retencion" name="valor_retencion" aria-describedby="marcaHelp" placeholder="se mostrara el valor de la retención" readonly >
                      
                    </div>
                    
                       <div class="form-group">
                        <label for="fi">Fecha Factura</label>
                        <input type="date" class="form-control"  name="fecha_retencion" aria-describedby="marcaHelp" placeholder="Ingrese la fecha">
                 
                    </div>




                    <div class="modal-footer">
                        <a href="/" class="btn btn-danger">Cancelar</a>
                        <button type="submit" class="btn btn-primary">Guardar</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>





